const mongoose = require('mongoose');
const uniqueValidator = require('mongoose-unique-validator');
const userModel = new mongoose.Schema({
    name: {
        type: String,
        required: true,
    },
    email: {
        type: String,
        required: true,
        unique: true,
    },
    phone: {
        type: String,
        required: true,
    },
    password: {
        type: String,
        required: true,
    },
    img:String,
    facebook_id:String,
    google_id:String,
    status: {
        type: Number,
        default: 1, // Default value if not provided
        enum: [0, 1], // Example: Only allow values  1=active, or 0=inactive
    },
    is_delete: {
        type: Boolean,
        default: 0, // Default value is set to 0
    },
    created_at: {
        type: Date,
        default: Date.now,
    },
});
userModel.plugin(uniqueValidator);
export const User = mongoose.models.users || mongoose.model("users", userModel)
